#pragma once
#include <optional>

namespace spin
{
    class IRobotIO
    {
    public:
        virtual ~IRobotIO() = default;
        virtual void writeDigitalOutput(const int pin, const bool value) const = 0;
        virtual std::optional<bool> readDigitalOutput(const int pin) const = 0;
    };
} // namespace spin